import 'package:rapier/io.dart';
import 'package:rapier/runner.dart';

main(args) => runRapier(args);

@Task('fetch_repos', args: const ['thosakwe'])
fetchRepos(Rapier rapier, String username) async {
  final repos = [];
  final response =
      await rapier.get('https://github.com/$username?tab=repositories').send();

  if (response.statusCode == 200) {
    for (final listName in response.dom().$$('h3.repo-list.name')) {
      final link = listName.children.first;

      repos.add({'link': link.attributes['href'], 'name': link.text});
    }

    return repos;
  } else
    return {'error': 'No such user: "$username".'};
}
