import 'package:rapier/io.dart';
import 'package:rapier/runner.dart';

main(args) => runRapier(args);

@Task('google_bot')
class GoogleBot {
  final String baseUrl = 'https://google.com';
  final Rapier rapier;

  GoogleBot(this.rapier);

  Request search(String query) =>
      rapier.get(baseUrl) + UserAgents.CHROME + {'query': query};

  @Task('shoes')
  shoes() => search('shoes').send().then((res) => res.body);
}
