abstract class Accept {
  static const Map<String, String> ANY = const {'Accept': '*'};

  static const Map<String, String> FORM_DATA = const {
    'Accept': ContentTypes.FORM_DATA
  };

  static const Map<String, String> HTML = const {'Accept': ContentTypes.HTML};

  static const Map<String, String> JSON = const {'Accept': ContentTypes.JSON};

  static const Map<String, String> PLAINTEXT = const {
    'Accept': ContentTypes.PLAINTEXT
  };

  static const Map<String, String> URL_ENCODED = const {
    'Accept': ContentTypes.URL_ENCODED
  };
}

abstract class ContentTypes {
  static const String FORM_DATA = 'multipart/form-data';
  static const String HTML = 'text/html';
  static const String JSON = 'application/json';
  static const String PLAINTEXT = 'text/plain';
  static const String URL_ENCODED = 'application/json';
}

abstract class UserAgents {
  static const Map<String, String> ANDROID_WEBVIEW = const {
    'User-Agent':
        'Mozilla/5.0 (Linux; Android 4.4; Nexus 5 Build/_BuildID_) AppleWebKit/537.36 (KHTML, like Gecko) Version/4.0 Chrome/30.0.0.0 Mobile Safari/537.36'
  };

  static const Map<String, String> CHROME = const {
    'User-Agent':
        'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_0) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/54.0.2840.98 Safari/537.36'
  };

  static const Map<String, String> CHROME_ANDROID = const {
    'User-Agent':
        'Mozilla/5.0 (Linux; <Android Version>; <Build Tag etc.>) AppleWebKit/<WebKit Rev> (KHTML, like Gecko) Chrome/<Chrome Rev> Mobile Safari/<WebKit Rev>'
  };

  static const Map<String, String> EDGE = const {
    'User-Agent':
        'Mozilla/5.0 (Windows NT 10.0; <64-bit tags>) AppleWebKit/<WebKit Rev> (KHTML, like Gecko) Chrome/<Chrome Rev> Safari/<WebKit Rev> Edge/<EdgeHTML Rev>.<Windows Build>'
  };

  static const Map<String, String> FIREFOX = const {
    'User-Agent':
        'Mozilla/5.0 (Macintosh; Intel Mac OS X x.y; rv:10.0) Gecko/20100101 Firefox/10.0'
  };

  static const Map<String, String> IE8 = const {
    'User-Agent':
        'Mozilla/4.0 (compatible; MSIE 8.0; Windows NT 6.1; Trident/4.0)'
  };

  static const Map<String, String> IE10 = const {
    'User-Agent':
        'Mozilla/5.0 (compatible; MSIE 10.0; Windows NT 6.1; Trident/6.0)'
  };

  static const Map<String, String> MOBILE_SAFARI = const {
    'User-Agent':
        'Mozilla/5.0 (iPhone; CPU iPhone OS 6_1_4 like Mac OS X) AppleWebKit/536.26 (KHTML, like Gecko) Version/6.0 Mobile/10B350 Safari/8536.25'
  };

  static const Map<String, String> NETSCAPE = const {
    'User-Agent':
        'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.8pre) Gecko/20071019 Firefox/2.0.0.8 Navigator/9.0.0.1'
  };

  static const Map<String, String> OPERA = const {
    'User-Agent':
        'Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/28.0.1500.52 Safari/537.36 OPR/15.0.1147.100'
  };

  static const Map<String, String> SAFARI = const {
    'User-Agent':
        'Mozilla/5.0 (Macintosh; Intel Mac OS X 10_10_4) AppleWebKit/600.7.12 (KHTML, like Gecko) Version/8.0.7 Safari/600.7.1'
  };
}
