import 'package:html/parser.dart' show parse;
import 'package:http/src/base_request.dart' as http;
import 'package:http/src/base_response.dart' as http;
import 'package:http/src/response.dart' as http;
import 'response_dom.dart';
export 'package:html/dom.dart';
export 'response_dom.dart';

class Response implements http.BaseResponse {
  final http.BaseResponse inner;

  Response(this.inner);

  String get body {
    if (inner is http.Response)
      return ((rs) => rs.body)(inner);
    else
      return null;
  }

  @override
  int get statusCode => inner.statusCode;

  @override
  String get reasonPhrase => inner.reasonPhrase;

  @override
  int get contentLength => inner.contentLength;

  @override
  Map<String, String> get headers => inner.headers;

  @override
  bool get isRedirect => inner.isRedirect;

  @override
  bool get persistentConnection => inner.persistentConnection;

  @override
  http.BaseRequest get request => inner.request;

  ResponseDom dom() {
    return new ResponseDom(parse(body));
  }
}
